# ------------------------------------------------ #
# Vagrant Config
# ------------------------------------------------ #
# El nombre de la interfaz de red puede cambiar.
# bridge: "enp7s0", valor para los ejemplos
# ------------------------------------------------ #

Vagrant.configure("2") do |config|
    config.vm.box = "ubuntu/focal64"
    config.vm.hostname = "srv"
    config.vm.box_check_update = false
    config.vm.network "public_network", bridge: "enp7s0", type: "dhcp"
    
    config.vm.provider "virtualbox" do |vb|
        vb.name = "ubuntu-basic"
        vb.memory = "4096"
        vb.cpus = "4"
        vb.gui = false
    end

    config.vm.provision "shell", inline: <<-SHELL
        apt-get update
        apt-get install -qq -y nginx nginx-extras
    SHELL

    config.vm.provision "shell" do |cmd|
        cmd.inline = "echo [x] SERVIDOR WEB NGINX"
    end
end
